# nvme-virtium-save-smart-to-vtview-log(1) Manual Page

## NAME

nvme-virtium-save-smart-to-vtview-log - Periodically save smart attributes into a log file (csv format).

## SYNOPSIS

    nvme virtium save-smart-to-vtview-log <device> [--run-time=<NUM> | -r <NUM>]
                            [--freq=<NUM> | -f <NUM>]
                            [--output-file=<FILE> | -o <FILE>]
                            [--test-name=<NAME> | -n <NAME>]

## DESCRIPTION

This command automates the process of collecting SMART data periodically and saving the data in a ready-to-analyze format. Each entry is saved with timestamp and in csv format. Users can use excel to analyze the data. Some examples of use cases are collecting SMART data for temperature characterization, collecting data to calculate endurance, or collecting SMART data during a test or during normal operation.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

On success, the command generates a log file, which contains an entry for identify device (current features & settings) and periodic entries of SMART data.

This command runs for the time specified by the option <run-time>, and collects SMART data at the frequency specified by the option <freq>. If the output file name is not specified, this command will generate a file name that include model string and serial number of the device.

If the test-name option is specified, it will be recorded in the log file and be used as part of the log file name.

## OPTIONS

-r <NUM>
--run-tim=<NUM>

  (optional) Number of hours to log data (default = 20 hours)

-f <NUM>
--freq=<NUM>

  (optional) How often you want to log SMART data (0.25 = 15' , 0.5 = 30' , 1 = 1 hour, 2 = 2 hours, etc.). Default = 10 hours.

-o <FILE>
--output-file=<FILE>

  (optional) Name of the log file (give it a name that easy for you to remember what the test is). You can leave it blank too, the file name will be generated as <model string>-<serial number>-<test name>.txt.

-n <NAME>
--test-name=<NAME>

  (optional) Name of the test you are doing. We use this string as part of the name of the log file.

## EXAMPLES

- Temperature characterization:

      # nvme virtium save-smart-to-vtview-log /dev/yourDevice --run-time=100 --record-frequency=0.25 --test-name=burn-in-at-(-40)

- Endurance testing:

      # nvme virtium save-smart-to-vtview-log /dev/yourDevice --run-time=100 --record-frequency=1 --test-name=Endurance-test-JEDEG-219-workload

- Just logging: Default logging is run for 20 hours and log every 10 hours.

      # nvme virtium save-smart-to-vtview-log /dev/yourDevice

## NVME

Part of the nvme-user suite